import { OnChanges, SimpleChanges } from '@angular/core';
import { HeEngineService, IOrchestratorModelConfig, IModel } from '../engine.service';
import * as i0 from "@angular/core";
export declare class EngineOrchestratorEditComponent implements OnChanges {
    private hestiaEngineService;
    private allModels;
    private config?;
    private nodeType?;
    modelKeyName: (modelKey: string) => string;
    isArray: (arg: any) => arg is any[];
    generalDocsUrl: string;
    strategiesDocs: string;
    models: (IOrchestratorModelConfig | IOrchestratorModelConfig[])[];
    groupedModels: {
        [key: string]: IOrchestratorModelConfig[];
    };
    selectedGroupedKey: string;
    onlyGapFilled: boolean;
    displayBy: 'list' | 'type';
    showDisplayBy: boolean;
    constructor(hestiaEngineService: HeEngineService);
    ngOnChanges(changes: SimpleChanges): void | Promise<void>;
    private loadDefaultConfig;
    trackByKey(_index: number, { key }: {
        key: any;
    }): any;
    modelLink$({ model, value }: IOrchestratorModelConfig): import("rxjs").Observable<IModel>;
    modelPathLink$({ model, value }: IOrchestratorModelConfig): import("rxjs").Observable<IModel>;
    get configUrl(): string;
    modelKeyUrl({ modelKey }: IModel, model: string): string;
    filterModels(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EngineOrchestratorEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EngineOrchestratorEditComponent, "he-engine-orchestrator-edit", never, { "config": "config"; "nodeType": "nodeType"; }, {}, never, never>;
}
